const express = require('express');
const router = express.Router();

const { verifySignUp } = require("../../middlewares");
const controller = require("../../controllers/auth.controller");

/* GET home page. */
router.get('/', function(req, res, next) {
    res.json({ message: "Welcome to MG Draw application." });
});

router.use(function(req, res, next) {
    res.header(
        "Access-Control-Allow-Headers",
        "x-access-token, Origin, Content-Type, Accept"
    );
    next();
});

router.post(
    "/register",
    [
        verifySignUp.checkDuplicateUsernameOrEmail,
        verifySignUp.checkRolesExisted
    ],
    controller.register
);

router.post("/login", controller.login);

module.exports = router;
