const express = require('express');
const router = express.Router();

const { authJwt } = require("../../middlewares");
const controller = require("../../controllers/metamodel.controller");

router.use([authJwt.verifyToken], function(req, res, next) {
    res.header(
        "Access-Control-Allow-Headers",
        "x-access-token, Origin, Content-Type, Accept"
    );
    next();
});

router.get("/get", [authJwt.isModelerOrAdmin], controller.getMetamodels);


module.exports = router;