const express = require('express');
const router = express.Router();

const { authJwt } = require("../../middlewares");
const controller = require("../../controllers/model.controller");

router.use([authJwt.verifyToken], function(req, res, next) {
    res.header(
        "Access-Control-Allow-Headers",
        "x-access-token, Origin, Content-Type, Accept"
    );
    next();
});

router.get("/all", [authJwt.isModelerOrAdmin], controller.getAllModels);
router.get("/export", [authJwt.isModelerOrAdmin], controller.exportModel);

router.post("/create", [authJwt.isModelerOrAdmin], controller.createModel);
router.post("/delete", [authJwt.isModelerOrAdmin], controller.deleteModel);
router.post("/update", [authJwt.isModelerOrAdmin], controller.updateModel);

router.get("/:id", [authJwt.isModelerOrAdmin], controller.readModel);

module.exports = router;