const express = require('express');
const router = express.Router();

const { authJwt } = require("../../middlewares");
const controller = require("../../controllers/project.controller");

router.use([authJwt.verifyToken], function(req, res, next) {
    res.header(
        "Access-Control-Allow-Headers",
        "x-access-token, Origin, Content-Type, Accept"
    );
    next();
});

router.get("/", [authJwt.isModelerOrAdmin], controller.getProjects);
router.get("/:id", [authJwt.isModelerOrAdmin], controller.readProject);
router.post("/create", [authJwt.isModelerOrAdmin], controller.createProject);
router.post("/update", [authJwt.isModelerOrAdmin], controller.updateProject);
router.post("/delete", [authJwt.isModelerOrAdmin], controller.deleteProject);

module.exports = router;