const express = require('express');
const router = express.Router();

const { authJwt } = require("../../middlewares");
const controller = require("../../controllers/user.controller");

router.use([authJwt.verifyToken], function(req, res, next) {
    res.header(
        "Access-Control-Allow-Headers",
        "x-access-token, Origin, Content-Type, Accept"
    );
    next();
});

router.get(
    "/user",
    controller.userBoard
);

router.get(
    "/mod",
    [authJwt.isModelerOrAdmin],
    controller.ModelerBoard
);

router.get(
    "/admin",
    [authJwt.isAdmin],
    controller.adminBoard
);

module.exports = router;
